#!/usr/bin bash

VERSION=v1.1
OUT=data/$VERSION

mkdir -p $OUT

# ctmri
curl \
  --user $NEUROBOT_USR:$NEUROBOT_API \
  --digest https://center-tbi.incf.org/api/data/_5c5485306b3f2f22e14d209a.csv > \
  $OUT/df_ctmri.csv
Rscript -e "library(tidyverse); saveRDS(as_tibble(read_csv('$OUT/df_ctmri.csv')), file = '$OUT/df_ctmri.rds')"

# imaging
curl \
  --user $NEUROBOT_USR:$NEUROBOT_API \
  --digest https://center-tbi.incf.org/api/data/_5c5488246b3f2f22e14d209d.csv > \
  $OUT/df_imaging.csv
Rscript -e "library(tidyverse); saveRDS(as_tibble(read_csv('$OUT/df_imaging.csv')), file = '$OUT/df_imaging.rds')"

# labs
curl \
  --user $NEUROBOT_USR:$NEUROBOT_API \
  --digest https://center-tbi.incf.org/api/data/_5c5489696b3f2f22e14d209f.csv > \
  $OUT/df_labs.csv
Rscript -e "library(tidyverse); saveRDS(as_tibble(read_csv('$OUT/df_labs.csv')), file = '$OUT/df_labs.rds')"

# GOSe
curl \
  --user $NEUROBOT_USR:$NEUROBOT_API \
  --digest https://center-tbi.incf.org/api/data/_5c548a056b3f2f22e14d20a0.csv > \
  $OUT/df_gose.csv
Rscript -e "library(tidyverse); saveRDS(as_tibble(read_csv('$OUT/df_gose.csv')), file = '$OUT/df_gose.rds')"

# baseline
curl \
  --user $NEUROBOT_USR:$NEUROBOT_API \
  --digest https://center-tbi.incf.org/api/data/_5c548a5b6b3f2f22e14d20a2.csv > \
  $OUT/df_baseline.csv
Rscript -e "library(tidyverse); saveRDS(as_tibble(read_csv('$OUT/df_baseline.csv')), file = '$OUT/df_baseline.rds')"
